package org.thibault.android.clock.binary;

import android.content.res.Resources;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.util.Log;

// Drawable must be transparent outside of a circular center (circle tangent to the outer edges).
public class DrawableFiller implements Filler {
	private final Drawable drawable;
	
	public DrawableFiller(int drawableId, Resources resources) {
		drawable=resources.getDrawable(drawableId);
	}
	
	@Override
	public synchronized void fillCircle(int cx, int cy, int radius, Canvas c) {
		//Log.d("BinaryClock.DrawableFiller.fillCircle()","("+cx+","+cy+","+radius+",)");
		drawable.setBounds(new Rect(cx-radius,cy-radius,cx+radius,cy+radius));
		drawable.draw(c);
	}
}