package org.thibault.android.clock.binary;

import android.graphics.Canvas;
import android.graphics.Paint;

public abstract class Separator {
	protected abstract Paint getPaint();
	public void drawSeparations(final int diameter, final Canvas c) {
		final int radius=diameter/2;
		Paint paint=getPaint();
		for (int spoke=0; spoke<5; spoke++) {
			final int th=72*spoke-90;
			final double thr=th*Math.PI/180;
			final double x=radius+radius*Math.cos(thr);
			final double y=radius+radius*Math.sin(thr);
			c.drawLine(radius,radius,(float)x,(float)y,paint);
		}
		
		c.drawCircle(radius,radius,radius/2,paint);
		{
			float strokeWidth=paint.getStrokeWidth();
			paint.setStrokeWidth(2*strokeWidth);
			c.drawCircle(radius,radius,radius-strokeWidth,paint);
			paint.setStrokeWidth(strokeWidth);
		}

	}
}
